// --------------------------------------------------------------------------
// Offer
// --------------------------------------------------------------------------

.offer {
    padding: 100px 0;
    color: #333333;

    .container-fluid {
        
        @include breakpointMax(lg) {
            padding-right: 34px;
        }

        @include breakpointMax(md) {
            padding-right: 20px;
        }
    }

    & + .contacts {
        
        @include breakpointMax(xl) {
            background: #ffffff;
        }

        @include breakpointMax(md) {
            background: #F6F9FB;
        }
    }

    @include breakpointMax(lg) {
        padding: 50px 0 32px;
    }

    @include breakpointMax(md) {
        padding: 30px 0 90px;
    }
}

.offer__mark {
    margin: 0 0 3rem;
    padding: 10px 2rem;
    display: inline-block;
    vertical-align: top;
    color: #00757E;
    background: #F6F9FB;
}

.offer__title {
    margin-top: 0;
    margin-bottom: 16px;
    font-size: 22px;
    font-weight: 400;
    line-height: 26px;

    @include breakpointMax(lg) {
        font-size: 20px;
        line-height: 26px;
    }

    @include breakpointMax(md) {
        font-size: 22px;
        font-weight: 500;
        line-height: 32px;
    }
}

.offer__checklist {
    max-width: 425px;

    @include breakpointMax(lg) {
        max-width: 300px;
    }

    @include breakpointMax(md) {
        max-width: 100%;
    }
}

.offer__right-block {
    
    @include breakpointMax(lg) {
        padding-left: 0;
    }

    @include breakpointMax(md) {
        padding-left: 15px;
    }
}


.offer__support-wrap {
    display: flex;
    align-items: flex-end;
    height: 100%;

    @include breakpointMax(xl) {
        align-items: center;
    }

    @include breakpointMax(lg) {
        align-items: flex-end;
    }

    @include breakpointMax(md) {
        justify-content: center;
    }
}

.offer__support {
    background: url('../images/icons/icon-customer-message.svg') no-repeat bottom right;
    background-color: #F6F9FB;
    position: relative;
    padding: 38px 31px;
    max-width: 524px;
    width: 100%;

    @include breakpointMax(xl) {
        background-size: 84px;
        background-position: right 0 bottom 20px;
    }

    @include breakpointMax(lg) {
        background-size: 78px;
    }

    @include breakpointMax(md) {
        padding: 0;
        background-color: transparent;
    }
}

.offer__img {
    margin-bottom: 90px;
    position: absolute;
    max-width: 520px;
    width: 100%;
    bottom: 100%;

    @include breakpointMax(xl) {
        margin-bottom: 180px;
        max-width: 470px;
        right: 0;
    }

    @include breakpointMax(lg) {
        margin-bottom: 78px;
        max-width: 270px;
        right: unset;
    }

    @include breakpointMax(md) {
        margin-top: 98px;
        position: relative;
        max-width: 100%;
    }
}

.offer__msg-wrapper {
    @include breakpointMax(md) {
        padding: 18px 79px 11px 13px;
        background: url('../images/icons/icon-customer-message.svg') no-repeat;
        background-color: #F6F9FB;
        background-position: right 11px bottom 11px;
        background-size: 68px;
    }
}

.offer__support-msg {
    background: transparent;
    display: block;
    max-width: 373px;
    font-size: 22px;
    line-height: 32px;
    color: #00757E;

    @include breakpointMax(xl) {
        max-width: 324px;
    }

    @include breakpointMax(lg) {
        max-width: 242px;
        font-size: 16px;
        line-height: 26px;
    }

    @include breakpointMax(md) {
        max-width: 100%;
    }
}